Auditoría
Registro inmutable de operaciones sensibles por organización.
Base path:
/·4 endpoints·Source: mosend-wb-backend/src/modules/audit/audit.controller.ts/organizations/:orgId/audit bearer
Sin descripción adicional.
Path params
orgIdstringrequerido
Query params
actionstringrequeridoresourcestringrequeridoactorUserIdstringrequeridodateFromstringrequeridodateTostringrequeridocursorstringrequeridolimitstringrequerido
Respuestas
- 200
curl -X GET 'https://api.mosend.dev/organizations/a1b2c3d4-1234-5678-9abc-def012345678/audit' \ -H 'X-Api-Key: mk_live_<prefix>.<secret>'
Response · 200
{
"data": [
{
"id": "00000000-0000-0000-0000-000000000000",
"createdAt": "2026-05-01T03:42:18.123Z"
}
],
"timestamp": "2026-05-01T03:42:18.123Z"
}/organizations/:orgId/audit/export bearer
Exporta el audit log en CSV (requiere audit_advanced).
Path params
orgIdstringrequerido
Query params
actionstringrequeridoresourcestringrequeridoactorUserIdstringrequeridodateFromstringrequeridodateTostringrequerido
Respuestas
- 200
curl -X GET 'https://api.mosend.dev/organizations/a1b2c3d4-1234-5678-9abc-def012345678/audit/export' \ -H 'X-Api-Key: mk_live_<prefix>.<secret>'
Response · 200
{
"data": [
{
"id": "00000000-0000-0000-0000-000000000000",
"createdAt": "2026-05-01T03:42:18.123Z"
}
],
"timestamp": "2026-05-01T03:42:18.123Z"
}/admin/audit bearer
Sin descripción adicional.
Query params
orgIdstringrequeridoactionstringrequeridoresourcestringrequeridoactorUserIdstringrequeridodateFromstringrequeridodateTostringrequeridocursorstringrequeridolimitstringrequerido
Respuestas
- 200
curl -X GET 'https://api.mosend.dev/admin/audit' \ -H 'X-Api-Key: mk_live_<prefix>.<secret>'
Response · 200
{
"data": [
{
"id": "00000000-0000-0000-0000-000000000000",
"createdAt": "2026-05-01T03:42:18.123Z"
}
],
"timestamp": "2026-05-01T03:42:18.123Z"
}/admin/audit/export bearer
Sin descripción adicional.
Query params
orgIdstringrequeridoactionstringrequeridoresourcestringrequeridodateFromstringrequeridodateTostringrequerido
Respuestas
- 200
curl -X GET 'https://api.mosend.dev/admin/audit/export' \ -H 'X-Api-Key: mk_live_<prefix>.<secret>'
Response · 200
{
"data": [
{
"id": "00000000-0000-0000-0000-000000000000",
"createdAt": "2026-05-01T03:42:18.123Z"
}
],
"timestamp": "2026-05-01T03:42:18.123Z"
}